Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.Range Class Reference
Inheritance diagram for FoxitPDFSDKPython3.Range:

## Public Member Functions
def | Range ()
| Constructor.
def | Range (index)
| Constructor, with a single index. More...
def | Range (start_index, end_index, filter)
| Constructor, with a specified index range. More...
def | Range (other)
| Constructor, with another range object. More...
def | AddSegment (start_index, end_index, filter)
| Add a new range segment. (Reverse ordering is legal.) More...
def | AddSingle (index)
| Add an index as a new range segment. More...
def | GetSegmentCount ()
| Get the count of range segments. More...
def | GetSegmentEnd (segment_index)
| Get the end index of a specified range segment. More...
def | GetSegmentStart (segment_index)
| Get the start index of a specified range segment. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveAll ()
| Remove all range segments. More...

## Static Public Attributes
| e_All = _fsdk.Range_e_All
| All the indexes within a range will be used.
| e_Even = _fsdk.Range_e_Even
| Only even numbers in a range will be used (discards odd numbers).
| e_Odd = _fsdk.Range_e_Odd
| Only odd numbers in a range will be used (discards even numbers).

## Detailed Description

This class represents index range. Here, a range consists of one or more segments and each segment consists of one single index or a group of consecutive indexes.
For some special case, such as used in FoxitPDFSDKPython3.HeaderFooter , index values specified in this range represent page numbers directly instead of page indexes.

See also
  FoxitPDFSDKPython3.HeaderFooter

## Constructor & Destructor Documentation

## ◆ Range() [1/3]

def FoxitPDFSDKPython3.Range.Range | ( |  | index | ) |

Constructor, with a single index.

Parameters

  [in] | index | A single index.

## ◆ Range() [2/3]

def FoxitPDFSDKPython3.Range.Range | ( |  | start_index,
|  |  | end_index,
|  |  | filter
| ) |  |

Constructor, with a specified index range.

Parameters

  [in] | start_index | The start index of a range segment.
  [in] | end_index | The end index of a range segment.
  [in] | filter | Filter type to decide which indexes of this range would be used. Please refer to values starting from FoxitPDFSDKPython3.Range.e_All and this should be one of these values. Default value: FoxitPDFSDKPython3.Range.e_All . Specially, when this value is FoxitPDFSDKPython3.Range.e_Even or FoxitPDFSDKPython3.Range.e_Odd , that means each even or odd number within the specified range segment will be treated as a single segment.

## ◆ Range() [3/3]

def FoxitPDFSDKPython3.Range.Range | ( |  | other | ) |

Constructor, with another range object.

Parameters

  [in] | other | Another range object.

## Member Function Documentation

## ◆ AddSegment()

def FoxitPDFSDKPython3.Range.AddSegment | ( |  | start_index,
|  |  | end_index,
|  |  | filter
| ) |  |

Add a new range segment. (Reverse ordering is legal.)

Parameters

  [in] | start_index | The start index of a new range segment.
  [in] | end_index | The end index of a new range segment.
  [in] | filter | Filter type to decide which indexes of this range would be used. Please refer to values starting from FoxitPDFSDKPython3.Range.e_All and this should be one of these values. Default value: FoxitPDFSDKPython3.Range.e_All . Specially, when this value is FoxitPDFSDKPython3.Range.e_Even or FoxitPDFSDKPython3.Range.e_Odd , that means each even or odd number within the specified range segment will be treated as a single segment.

Returns
  None.

## ◆ AddSingle()

def FoxitPDFSDKPython3.Range.AddSingle | ( |  | index | ) |

Add an index as a new range segment.

Parameters

  [in] | index | An index to be added as a new range segment.

## ◆ GetSegmentCount()

def FoxitPDFSDKPython3.Range.GetSegmentCount | ( |  | ) |

Get the count of range segments.

Returns
  The count of range segments.

## ◆ GetSegmentEnd()

def FoxitPDFSDKPython3.Range.GetSegmentEnd | ( |  | segment_index | ) |

Get the end index of a specified range segment.

Parameters

  [in] | segment_index | The segment index. Valid range: 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Range.GetSegmentCount .

Returns
  The end index of a specified range segment.

## ◆ GetSegmentStart()

def FoxitPDFSDKPython3.Range.GetSegmentStart | ( |  | segment_index | ) |

Get the start index of a specified range segment.

Parameters

  [in] | segment_index | The segment index. Valid range: 0 to (count-1). count is returned by function FoxitPDFSDKPython3.Range.GetSegmentCount .

Returns
  The start index of a specified range segment.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.Range.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveAll()

def FoxitPDFSDKPython3.Range.RemoveAll | ( |  | ) |

Remove all range segments.

Returns
  None.